software-center crashed with AttributeError in on_menu_edit_activate(): 'NoneType' object has no attribute 'get_view_widget'

Bug #861862 reported by m.reichert@gmail.com on 2011-09-28
80
This bug affects 15 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Gary Lasker

Bug Description

--

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: software-center 4.1.23.6
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu2
Architecture: i386
Date: Wed Sep 28 23:38:32 2011
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta i386 (20110921.2)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with AttributeError in on_menu_edit_activate(): 'NoneType' object has no attribute 'get_view_widget'
Traceback:
 Traceback (most recent call last):
   File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 792, in on_menu_edit_activate
     self.active_pane = vm.get_view_widget(vm.get_active_view())
 AttributeError: 'NoneType' object has no attribute 'get_view_widget'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Thank you for taking the time to report this crash and helping to make Ubuntu better. This particular crash has already been reported and is a duplicate of bug #661681, so is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

tags: removed: need-duplicate-check
visibility: private → public
visibility: private → public
Gary Lasker (gary-lasker) wrote :

This is *not* a dupe of bug 661681.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-center (Ubuntu):
status: New → Confirmed
Matthew McGowan (mmcg069) wrote :

Looks like something weird is happening with the xapian database, the SoftwareCenterLog.txt indicates the user is getting a lot of the following type errors:

2011-09-23 21:48:08,984 - softwarecenter.db - ERROR - failed to add apt-xapian-index
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/db/database.py", line 157, in _get_new_xapiandb
    axi = xapian.Database("/var/lib/apt-xapian-index/index")
  File "/usr/lib/python2.7/dist-packages/xapian/__init__.py", line 3408, in __init__
    _xapian.Database_swiginit(self,_xapian.new_Database(*args))
DatabaseOpeningError: Couldn't stat '/var/lib/apt-xapian-index/index' (Datei oder Verzeichnis nicht gefunden)

Changed in software-center (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → Medium
assignee: nobody → Gary Lasker (gary-lasker)
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.0.1.3

---------------
software-center (5.0.1.3) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/panes/pendingpane.py:
    - be more robust about errors when cancelling a transaction
      from the pending pane (LP: #861129)
  * softwarecenter/ui/gtk3/app.py:
    - fix crash in on_menu_edit_activate() (LP: #861862)
  * softwarecenter/ui/gtk3/panes/installedpane.py:
    - fix crash in _row_visibility_func() (LP: #834893)
  * softwarecenter/ui/gtk3/views/appview.py:
    - fix crash in display_matches() (LP: #843795)

  [ Michael Vogt ]
  * softwarecenter/ui/gtk3/widgets/buttons.py:
    - fix incorrect i18n for the "More" button in the main screen
      (LP: #868952), thanks to David Planella
  * softwarecenter/db/categories.py:
    - fix regression when reading translated category names for
      directory types with no X-Ubuntu-Gettext-Domain (LP: #868963)

  [ Gabor Kelemen ]
  * Translate Our star apps heading on the list of the star apps.
    LP: #869038
 -- Michael Vogt <email address hidden> Thu, 06 Oct 2011 14:35:02 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers